import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdatePipelineStatusInput } from "../types/UpdatePipelineStatusInput";
import { UpdatePipelineStatusOutput } from "../types/UpdatePipelineStatusOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/UpdatePipelineStatusInput";
export * from "../types/UpdatePipelineStatusOutput";
export * from "../types/UpdatePipelineStatusExceptionsUnion";
export declare class UpdatePipelineStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdatePipelineStatusInput, OutputTypesUnion, UpdatePipelineStatusOutput, ElasticTranscoderResolvedConfiguration, Blob> {
    readonly input: UpdatePipelineStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdatePipelineStatusInput, UpdatePipelineStatusOutput, Blob>;
    constructor(input: UpdatePipelineStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<UpdatePipelineStatusInput, UpdatePipelineStatusOutput>;
}
