import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdatePipelineNotificationsInput } from "../types/UpdatePipelineNotificationsInput";
import { UpdatePipelineNotificationsOutput } from "../types/UpdatePipelineNotificationsOutput";
import { ElasticTranscoderResolvedConfiguration } from "../ElasticTranscoderConfiguration";
export * from "../types/UpdatePipelineNotificationsInput";
export * from "../types/UpdatePipelineNotificationsOutput";
export * from "../types/UpdatePipelineNotificationsExceptionsUnion";
export declare class UpdatePipelineNotificationsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdatePipelineNotificationsInput, OutputTypesUnion, UpdatePipelineNotificationsOutput, ElasticTranscoderResolvedConfiguration, Blob> {
    readonly input: UpdatePipelineNotificationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdatePipelineNotificationsInput, UpdatePipelineNotificationsOutput, Blob>;
    constructor(input: UpdatePipelineNotificationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticTranscoderResolvedConfiguration): __aws_sdk_types.Handler<UpdatePipelineNotificationsInput, UpdatePipelineNotificationsOutput>;
}
