"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListJobsByStatusInput_1 = require("../shapes/ListJobsByStatusInput");
var ListJobsByStatusOutput_1 = require("../shapes/ListJobsByStatusOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListJobsByStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListJobsByStatus",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/jobsByStatus/{Status}"
    },
    input: {
        shape: ListJobsByStatusInput_1.ListJobsByStatusInput
    },
    output: {
        shape: ListJobsByStatusOutput_1.ListJobsByStatusOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ListJobsByStatus.js.map