import { ValidationException } from "./ValidationException";
import { IncompatibleVersionException } from "./IncompatibleVersionException";
import { ResourceNotFoundException } from "./ResourceNotFoundException";
import { ResourceInUseException } from "./ResourceInUseException";
import { AccessDeniedException } from "./AccessDeniedException";
import { InternalServiceException } from "./InternalServiceException";
export declare type UpdatePipelineStatusExceptionsUnion = ValidationException | IncompatibleVersionException | ResourceNotFoundException | ResourceInUseException | AccessDeniedException | InternalServiceException;
